> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Rewards

> A `POST` to the `/rewards/batch.json` endpoint allows your application to process rewards in batch.



## OpenAPI

````yaml post /v3/rewards/batch.json
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/rewards/batch.json:
    post:
      tags:
        - Reward
      summary: Batch Rewards
      description: >-
        A `POST` to the `/rewards/batch.json` endpoint allows your application
        to process rewards in batch.
      operationId: reward.batchJson
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/BatchRewardJson'
                - type: object
                  properties:
                    import_job_id:
                      type: string
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    const: Queued for processing.
                  batch_id:
                    type: string
                required:
                  - message
                  - batch_id
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    BatchRewardJson:
      type: object
      properties:
        rewards:
          type: array
          items:
            type: object
            properties:
              profile_id:
                type: string
              profile_id_handle:
                type:
                  - string
                  - 'null'
              value_initial:
                type: number
              value_remaining:
                type: number
              timezone:
                type: string
              expires_at:
                type: string
                format: date-time
              issued_at:
                type: string
                format: date-time
              reward_definition_id:
                type: integer
              reward_definition_handle:
                type: string
              meta:
                type:
                  - array
                  - 'null'
                items:
                  type: string
              external_id:
                type:
                  - string
                  - 'null'
            required:
              - profile_id
              - profile_id_handle
              - timezone
          minItems: 1
          maxItems: 500
      required:
        - rewards
      title: BatchRewardJson
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````